Contents

Email

ShootProof helps brands keep in touch with their customers through sending email messages to event visitors, contacts attached to an event or invoice, and more.

In addition to sending email messages on demand, ShootProof allows brands to set up automated emails that are sent whenever certain activities take place, and each brand has full control over when these are sent and for what activities they are sent.

Send an email message to a contact

post
/studio/brand/{brandId}/contact/{contactId}/email

Example Request

Path Parameters

Property Description
brandId required

The brand identifier.

contactId required

The contact identifier.

Header Parameters

Property Description
Authentication required

The bearer token used to make authenticated requests to the ShootProof Studio API. See the authorization guide for more information on how to obtain and use bearer tokens.

Request Body

application/vnd.shootproof+json
Property Description
body

The message to include in the body of the email.

headline

The headline to use in the email body.

subject

The subject line for the email message.

type

The type of resource represented.

OpenAPI Schema

The following schema is based on OpenAPI 3.0 and is provided in our downloadable OpenAPI document.

{
  "content": {
    "application/vnd.shootproof+json": {
      "schema": {
        "allOf": [
          {
            "properties": {
              "buttonText": {
                "readOnly": true
              },
              "recipientEmails": {
                "readOnly": true
              }
            }
          },
          {
            "$ref": "#/components/schemas/StudioToClientEmail"
          }
        ]
      }
    }
  },
  "required": true
}

202 Accepted

On success, we respond with the contact to whom the email message was sent.

Headers
Header Description
Content-Location

The URL to the contact that is located in the response body.

Response Body

When the Content-Type of the response is application/vnd.shootproof+json, the following properties will be available in the response body.

Properties
Property Description
address required nullable

The address for this contact.

Property Description
addressLine1 nullable

The first line of the address.

addressLine2 nullable

The second line of the address, if applicable.

city nullable

The city for this address.

country

The country code for this address.

name nullable

The name of the addressee.

state nullable

The state for this address.

stateOther nullable write-only

The state property is validated against known states/provinces of all countries. If this address does not have a standard state/province abbreviation, use the stateOther property when creating or updating addresses.

This property is write-only. It is not available in responses.

type

The type of object represented.

zip nullable

The postal code for this address.

birthDate nullable

The date on which this contact was born.

birthDateDisplay read-only

The date on which this contact was born, properly formatted according to the brand’s locale.

businessName nullable

The name for the business with which this contact is associated.

created read-only

The date on which this contact was created

email

The email address for this contact.

firstName nullable

The first name for this contact.

id

An entity identifier. It may be either an integer or a universally unique identifier (UUID) represented as a string.

lastName nullable

The last name for this contact.

links required read-only

Each property defines a hypertext link relationship as indicated by a link object or array of link objects. The target URL of each hypertext link relationship is related to the current resource according to the defined semantics of the link relationship property name.

name nullable

The full name for this contact.

notes nullable

Notes made by the studio about this contact.

phone nullable

The phone number for this contact.

refereeContacts read-only

Contacts that have been referred by this contact.

referringContact nullable read-only

The contact who referred this contact.

Property Description
address required nullable

The address for this contact.

email

The email address for this contact.

firstName nullable

The first name for this contact.

id

An entity identifier. It may be either an integer or a universally unique identifier (UUID) represented as a string.

lastName nullable

The last name for this contact.

links required read-only

Each property defines a hypertext link relationship as indicated by a link object or array of link objects. The target URL of each hypertext link relationship is related to the current resource according to the defined semantics of the link relationship property name.

name nullable

The full name for this contact.

phone nullable

The phone number for this contact.

type

The type of resource represented.

referringContactId nullable

The identifier for the contact who referred this contact.

resourceCounts read-only
Property Description
numContracts

The number of contracts with which this contact is associated.

numEvents

The number of events with which this contact is associated.

numInvoices

The number of invoices with which this contact is associated.

tags

Tags describing this contact.

thirdPartyId nullable

The identifier for this contact in the source system from which it originated.

type

The type of resource represented.

400 Bad Request

Validation error response. Check the info.errors property in the response for more details.

Response Body

When the Content-Type of the response is application/problem+json, the following properties will be available in the response body.

Properties
Property Description
detail

A longer description of of the error encountered.

info

Additional information that may be provided to aid in error resolution.

Property Description
errors

If the error response is a result of validation errors, it will most likely be a 400 Bad Request response and contain this info.errors property. Each property name in the errors object is a property that failed validation. These properties contain objects with property names in the form of internal validation error message slugs paired with human-readable string values describing the validation failure. Each property may have multiple validation failure messages.

reason

An optional reason for the error response.

In some cases, more information is required to convey information about the error to the client. In these cases, one of the following reason slugs may be used.

Reason Slug Description
contract-not-ready-to-countersign The contract is in a state that does not allow countersigning. Its status must be ready-to-countersign to perform this action.
event-photo-count-limit The event has reached the maximum number of photos allowed.
plan-does-not-allow-uploads The studio is in a plan that does not allow uploads or they have reached the limit of photos the plan allows.
status

The HTTP status code associated with this error.

title

A short description of the error encountered.

type

A namespace URI uniquely identifying the error type.

OpenAPI Schema

The following schema is based on OpenAPI 3.0 and is provided in our downloadable OpenAPI document.

{
  "202": {
    "content": {
      "application/vnd.shootproof+json": {
        "schema": {
          "$ref": "#/components/schemas/Contact"
        }
      }
    },
    "description": "On success, we respond with the contact to whom the email message was\nsent.",
    "headers": {
      "Content-Location": {
        "description": "The URL to the contact that is located in the response body.",
        "schema": {
          "format": "uri",
          "type": "string"
        }
      }
    }
  },
  "400": {
    "$ref": "#/components/responses/validationError"
  }
}

Send an email message to a contract’s contacts

post
/studio/brand/{brandId}/contract/{contractId}/email

Example Request

Path Parameters

Property Description
brandId required

The brand identifier.

contractId required

A contract identifier.

Header Parameters

Property Description
Authentication required

The bearer token used to make authenticated requests to the ShootProof Studio API. See the authorization guide for more information on how to obtain and use bearer tokens.

Request Body

The contract email object used to send an email message.

application/vnd.shootproof+json
Property Description
body

The message to include in the body of the email.

buttonText

The text for the call-to-action button in the email body.

headline

The headline to use in the email body.

recipientEmails

Email address(es) to send the email to. If provided, must be an array of valid email addresses. Optional, but may be required by child schemas.

subject

The subject line for the email message.

type

The type of resource represented.

OpenAPI Schema

The following schema is based on OpenAPI 3.0 and is provided in our downloadable OpenAPI document.

{
  "content": {
    "application/vnd.shootproof+json": {
      "schema": {
        "$ref": "#/components/schemas/ContractEmail"
      }
    }
  },
  "description": "The contract email object used to send an email message.",
  "required": true
}

202 Accepted

On success, we respond with the contract for which the email message was sent.

Headers
Header Description
Content-Location

The URL to the contract that is located in the response body.

Response Body

When the Content-Type of the response is application/vnd.shootproof+json, the following properties will be available in the response body.

Properties
Property Description
activity read-only

A list of activities that have occurred with this contract.

bodyContainsMagicBlank read-only

Indicates if the HTML body of the contract contains one or more 'magic blank' placeholder strings.

bodyHtml

The HTML body of the contract.

brandTheme read-only

A brand theme.

Property Description
colorScheme

The color scheme for this brand theme.

ShootProof Identifier Description
dark A "dark" color scheme should be used when displaying this brand theme.
light A "light" color scheme should be used when displaying this brand theme.
created read-only

The date on which the entity was created.

emailBrandLogo nullable

The brand logo for use in email messages (and any other place using a white/neutral background such as contracts and invoices).

eventBrandLogo nullable

The brand logo for use in event presentation.

fontSet

The font set for this brand theme.

ShootProof Identifier Primary Font Name Secondary Font Name Body Font Name
brandon Brandon Brandon Baskerville
freeland ProximaNova Freeland ProximaNova
baskerville Baskerville Baskerville OpenSans-Regular
blooming-elegant BloomingElegant-Regular BloomingElegant-Regular Brandon
bambusa-pro-regular BambusaPro-Regular BambusaPro-Regular OpenSans-Regular
scandiebox-one SBOne SBOne OpenSans-Regular
id

The identifier of this brand theme.

links required read-only

Each property defines a hypertext link relationship as indicated by a link object or array of link objects. The target URL of each hypertext link relationship is related to the current resource according to the defined semantics of the link relationship property name.

name

The name of this brand theme.

primaryColor

The primary hex color code for this brand theme.

secondaryColor

The secondary hex color code for this brand theme.

type

The type of object represented.

brandThemeId

An entity identifier. It may be either an integer or a universally unique identifier (UUID) represented as a string.

cancelationMessage nullable

Optional cancelation message to include in studio-to-client email sent when contract status moves to canceled state. As of this writing, value only used on PATCH requests.

contacts required read-only

A collection of contacts associated with this contract

Property Description
items

A collection of resources returned in the current result set.

links required read-only

Each property defines a hypertext link relationship as indicated by a link object or array of link objects. The target URL of each hypertext link relationship is related to the current resource according to the defined semantics of the link relationship property name.

meta read-only

Metadata describing the current result set.

type

The type of resource represented.

contractStatus

The current status of the contract.

Status Description
draft The contract is a draft and has not been sent to the client.
awaiting-client-signature The contract has been sent to the client and is awaiting their signature.
awaiting-studio-countersign The client has signed the contract, and it is ready for the studio to countersign.
completed The client and studio have both signed the contract.
canceled The studio has canceled the contract.
expired The expiration date specified on the contract has passed while the contract was in the draft or awaiting-client-signature states.
contractTemplate required read-only
Property Description
bodyHtml

The HTML body of the contract template.

brandTheme read-only

A brand theme.

brandThemeId

An entity identifier. It may be either an integer or a universally unique identifier (UUID) represented as a string.

created read-only

The creation date of this contract template.

id

An entity identifier. It may be either an integer or a universally unique identifier (UUID) represented as a string.

languageCode

The Unicode CLDR language tag for the language used in this contract template.

links required read-only

Each property defines a hypertext link relationship as indicated by a link object or array of link objects. The target URL of each hypertext link relationship is related to the current resource according to the defined semantics of the link relationship property name.

name

The name for this contract template.

type

The type of resource represented.

contractTemplateId nullable

An entity identifier. It may be either an integer or a universally unique identifier (UUID) represented as a string.

created read-only

The creation date of this contract.

expirationDate

The date on which this contract expires.

id

An entity identifier. It may be either an integer or a universally unique identifier (UUID) represented as a string.

invoices read-only

An array of linked invoices.

isEditable

Whether the contract is able to be edited.

isHidden

Whether the contract has been marked 'hidden'.

languageCode

The Unicode CLDR language tag for the language used in this contract.

links required read-only

Each property defines a hypertext link relationship as indicated by a link object or array of link objects. The target URL of each hypertext link relationship is related to the current resource according to the defined semantics of the link relationship property name.

Property Description
alternate

The target URL is an alternate representation of the current resource. Usually, this will include a type property to indicate the media type of the alternate representation.

brand

The target URL is a brand or collection of brands related to the current resource.

brand-context deprecated

The target URL indicates the brand authorized for the current context, based on the access token.

This relationship is deprecated and should not be relied on. Access tokens obtained through the OAuth flow are not tied to a specific brand.

brand-homepage

The target URL is the brand homepage API endpoint related to the current resource.

brand-theme

The target URL is a brand theme or collection of brand themes related to the current resource.

canonical

The target URL is the primary location of the current resource (i.e. the current resource may be subordinate to another resource, and the target URL indicates its permanent location).

children

The target URL is a collection of resources that is subordinate to the current resource. That is, the current resource is a parent of the children, and the children belong to this resource.

client

The target URL is the location of the current resource in the Client Galleries website. The media type of the target URL is assumed to be text/html unless otherwise indicated.

client-admin

The target URL is the location of the studio client admin for the current resource in the Client Galleries website. The media type of the target URL is assumed to be text/html unless otherwise indicated.

collection

The target URL is the location of a collection of similar resources of which the current resource is a member.

contact

The target URL is a contact or collection of contacts related to the current resource.

contact-referee

The target URL is a list of available contacts that may be selected as referred by the current resource.

contact-referred-by

The target URL is a list of available contacts that may be selected as having referred the current resource.

contact-tag

The target URL is a list of contact tags available to apply to the current resource.

contract

The target URL is a contract or collection of contracts related to the current resource.

contract-signature

The target URL is a contract signature or collection of contract signatures related to the current resource.

contract-template

The target URL is a contract template or collection of contract templates related to the current resource.

derivedfrom

The target URL is the location of a resource from which the current resource is derived (or a subset of).

email

The target URL may be an email message or collection of email messages related to the current resource. It may also be used to create an email message related to the current resource.

email-automation-group

The target URL is an email automation group or collection of email automation groups related to the current resource.

email-template

The target URL is an email template or collection of email templates related to the current resource.

email-template-type

The target URL is an email template type or collection of email template types related to the current resource.

event

The target URL is an event or collection of events related to the current resource.

event-album

The target URL is an event album or collection of event albums related to the current resource.

event-album-passwords

The target URL is a listing of all passwords for all event albums related to the current resource. If the type indicates a different format (i.e. text/csv), then the URL is a link to a downloadable version of the target resource.

event-album-photo

The target URL is an event album photo or collection of event album photos related to the current resource.

event-archive-cost

The target URL is an event archive cost related to the current resource.

event-category

The target URL is an event category or collection of event categories related to the current resource.

event-contact

The target URL is an event contact or collection of event contacts related to the current resource.

event-contact-photo-favorite

The target URL is a photo or collection of photos related to the current resource and favorited by the context event contact.

event-contact-photo-hidden

The target URL is a photo or collection of photos related to the current resource and hidden by the context event contact.

event-contact-photo-share

The target URL is a photo or collection of photos related to the current resource and shared by the context event contact.

event-contact-photo-tag

The target URL is a photo or collection of photos related to the current resource and tagged by the context event contact.

When templated is true, this is a templated URL. The template parameter filterPhotoTag may be used with the tag name or a comma-separated list of tag names to filter tagged photo results.

event-defaults

The target URL is a set of event defaults settings or collection of more than one set of event defaults settings related to the current resource.

event-photo

The target URL is an event photo or collection of event photos related to the current resource.

event-photo-original

The target URL is the original uploaded photo related to the current resource.

event-photo-upload-policy

The target URL may be used to generate an event photo upload policy related to the current resource. This is the first step in the process to upload new event photos to an event resource.

event-visitor

The target URL is an event visitor or collection of event visitors related to the current resource.

invoice

The target URL is an invoice or collection of invoices related to the current resource.

invoice-credit-card

The target URL may be used to manipulate the invoice credit card related to the current resource. The current resource may be an invoice or may have an invoice related to it, for which the target URL may be used.

invoice-item-template

The target URL is an invoice item template or collection of invoice item templates related to the current resource.

invoice-payment

The target URL may be used to make an invoice payment related to the current resource. The current resource may be an invoice or may have an invoice related to it, for which the target URL may be used.

invoice-refund

The target URL may be used to make an invoice refund related to the current resource. The current resource may be an invoice or may have an invoice related to it, for which the target URL may be used.

invoice-template

The target URL is an invoice template or collection of invoice templates related to the current resource.

lab

The target URL is a lab related to the current resource.

lab-catalog

The target URL is a lab catalog or collection of lab catalogs related to the current resource.

lab-catalog-self-fulfilled

The target URL is a self-fulfilled lab catalog or collection of self-fulfilled lab catalogs related to the current resource.

lab-catalog-shipping-option

The target URL is a lab catalog shipping option or collection of lab catalog shipping options related to the current resource.

market-department

The target URL is a market department or collection of market departments related to the current resource.

market-product

The target URL is a market product or collection of market products related to the current resource.

market-vendor

The target URL is a market vendor or collection of market vendors related to the current resource.

me

The target URL is the profile for the authenticated access token.

Usually this is the Studio Panel user who has granted authorization and an access token.

mobile-app

The target URL is a mobile app or collection of mobile apps related to the current resource.

order

The target URL is an order or collection of orders related to the current resource.

order-payment

The target URL is an order payment or collection of order payments related to the current resource.

parent

The target URL identifies a parent resource for the current resource. It is often used on subordinate resources or collections to identify the resource to which they belong.

playlist

The target URL is a music playlist or collection of music playlists related to the current resource.

portal

The target URL is the location of the current resource in the Studio-Client Portal website. The media type of the target URL is assumed to be text/html unless otherwise indicated.

price-sheet

The target URL is a price sheet or collection of price sheets related to the current resource.

price-sheet-discount

The target URL is a price sheet discount or collection of price sheet discounts related to the current resource.

price-sheet-event

The target URL is an event associated to a price sheet or a collection of events associated to a price sheet related to the current resource.

price-sheet-item

The target URL is a collection of price sheet items related to the current resource.

price-sheet-item-image

The target URL is a collection of images associated to a price sheet item related to the current resource.

price-sheet-shipping-option

The target URL is a price sheet shipping option or collection of price sheet shipping options related to the current resource.

search

The target URL is a location that may be used to search or filter results for the current resource.

self

The target URL is the current resource's own location. It may not be the canonical location of the resource; if this is the case, the canonical relationship might be present to indicate the resource's canonical URL.

shorturl

The target URL may be used to create a shortened URL for use with social sharing.

signature

The target URL is a signature or collection of signatures related to the current resource.

token-replacement

The target URL may be used to replace tokens in the current resource. Tokens available to pass for replacement are indicated by the URI template parameters.

user-mfa

The target URL is a user's MFA configuration or collection of a user's MFA configurations related to the current resource. Tokens available to pass for replacement are indicated by the URI template parameters.

user-mfa-code

The target URL is a user's MFA code or collection of a user's MFA codes related to the current resource.

user-mfa-verification

The target URL is a user's MFA verification or collection of a user's MFA verifications related to the current resource.

volume-sort

The target URL is the status of the volume photography related sorting of the current resource.

watermark

The target URL is a watermark or collection of watermarks related to the current resource.

name

The name for this contract.

publicId read-only

The public identifier for this contract (may be used in the portal website).

shootDate nullable

This contract covers a photo shoot or event that took place on this date.

signatureClient nullable read-only

The contract signature for the client.

Property Description
created read-only

The date on which the entity was created.

ipAddress

The IP address of the user agent recording the signature.

publicId

The public identifier for this contract signature. This is used on all public screens and printable views of the contract as a transaction identifier.

signature

A signature.

signatureType

The type of signature.

Status Description
studio The signature was created by the studio.
client The signature was created by the client.
type

The type of resource represented.

userAgent

The full user agent identifier string of the user agent recording the signature.

signatureStudio nullable read-only

The contract signature for the studio.

Property Description
created read-only

The date on which the entity was created.

ipAddress

The IP address of the user agent recording the signature.

publicId

The public identifier for this contract signature. This is used on all public screens and printable views of the contract as a transaction identifier.

signature

A signature.

signatureType

The type of signature.

Status Description
studio The signature was created by the studio.
client The signature was created by the client.
type

The type of resource represented.

userAgent

The full user agent identifier string of the user agent recording the signature.

type

The type of resource represented.

400 Bad Request

Validation error response. Check the info.errors property in the response for more details.

Response Body

When the Content-Type of the response is application/problem+json, the following properties will be available in the response body.

Properties
Property Description
detail

A longer description of of the error encountered.

info

Additional information that may be provided to aid in error resolution.

Property Description
errors

If the error response is a result of validation errors, it will most likely be a 400 Bad Request response and contain this info.errors property. Each property name in the errors object is a property that failed validation. These properties contain objects with property names in the form of internal validation error message slugs paired with human-readable string values describing the validation failure. Each property may have multiple validation failure messages.

reason

An optional reason for the error response.

In some cases, more information is required to convey information about the error to the client. In these cases, one of the following reason slugs may be used.

Reason Slug Description
contract-not-ready-to-countersign The contract is in a state that does not allow countersigning. Its status must be ready-to-countersign to perform this action.
event-photo-count-limit The event has reached the maximum number of photos allowed.
plan-does-not-allow-uploads The studio is in a plan that does not allow uploads or they have reached the limit of photos the plan allows.
status

The HTTP status code associated with this error.

title

A short description of the error encountered.

type

A namespace URI uniquely identifying the error type.

OpenAPI Schema

The following schema is based on OpenAPI 3.0 and is provided in our downloadable OpenAPI document.

{
  "202": {
    "content": {
      "application/vnd.shootproof+json": {
        "schema": {
          "$ref": "#/components/schemas/Contract"
        }
      }
    },
    "description": "On success, we respond with the contract for which the email message\nwas sent.",
    "headers": {
      "Content-Location": {
        "description": "The URL to the contract that is located in the response body.",
        "schema": {
          "format": "uri",
          "type": "string"
        }
      }
    }
  },
  "400": {
    "$ref": "#/components/responses/validationError"
  }
}

List email automation groups

get
/studio/brand/{brandId}/email/automation-group

Example Request

Path Parameters

Property Description
brandId required

The brand identifier.

Query Parameters

Property Description
filterCuratedUserAutomations

Filter curated email automation groups created by ShootProof and cloned by users

sortBy

The property by which items returned should be sorted.

sortType

The direction in which sorting should occur.

Header Parameters

Property Description
Authentication required

The bearer token used to make authenticated requests to the ShootProof Studio API. See the authorization guide for more information on how to obtain and use bearer tokens.

200 OK

Email automation groups.

Response Body

When the Content-Type of the response is application/vnd.shootproof+json, the following properties will be available in the response body.

Properties
Property Description
items

A collection of resources returned in the current result set.

Property Description
automations

A collection of automated email messages that should be sent to a specified group of recipients at a configured time.

clonedFromId nullable

If cloned from another automation group, the identifier for the group from which this was cloned.

created read-only

The date on which the entity was created.

emailCategory nullable read-only

The human-readable name of the category of this automation group.

id

An entity identifier. It may be either an integer or a universally unique identifier (UUID) represented as a string.

isClonedFromSpAutomationGroup read-only

If this automation group was cloned from a ShootProof-created email automation group, then this property will be true.

linkedEventsCount read-only

The total number of non-deleted events that are using the automation group.

links required read-only

Each property defines a hypertext link relationship as indicated by a link object or array of link objects. The target URL of each hypertext link relationship is related to the current resource according to the defined semantics of the link relationship property name.

name

The name for this email automation group.

sendType

The type of email automations that this group can contain.

type

The type of resource represented.

links required read-only

Each property defines a hypertext link relationship as indicated by a link object or array of link objects. The target URL of each hypertext link relationship is related to the current resource according to the defined semantics of the link relationship property name.

meta read-only

Metadata describing the current result set.

Property Description
currentPage

The current page of results returned.

rows

The number of rows returned per page for the current result set.

totalItems

The total number of items in the result set. This may be affected by active search/filter parameters.

totalPages

The total number of pages in the result set. This is affected by the rows parameter (totalItems / rows == totalPages).

type

The type of resource represented.

OpenAPI Schema

The following schema is based on OpenAPI 3.0 and is provided in our downloadable OpenAPI document.

{
  "200": {
    "content": {
      "application/vnd.shootproof+json": {
        "schema": {
          "$ref": "#/components/schemas/EmailAutomationGroupCollection"
        }
      }
    },
    "description": "Email automation groups."
  }
}

Create an email automation group

post
/studio/brand/{brandId}/email/automation-group

Example Request

Path Parameters

Property Description
brandId required

The brand identifier.

Header Parameters

Property Description
Authentication required

The bearer token used to make authenticated requests to the ShootProof Studio API. See the authorization guide for more information on how to obtain and use bearer tokens.

Request Body

The email automation group to create.

application/vnd.shootproof+json
Property Description
automations

A collection of automated email messages that should be sent to a specified group of recipients at a configured time.

clonedFromId nullable

If cloned from another automation group, the identifier for the group from which this was cloned.

id

An entity identifier. It may be either an integer or a universally unique identifier (UUID) represented as a string.

name

The name for this email automation group.

sendType

The type of email automations that this group can contain.

type

The type of resource represented.

OpenAPI Schema

The following schema is based on OpenAPI 3.0 and is provided in our downloadable OpenAPI document.

{
  "content": {
    "application/vnd.shootproof+json": {
      "schema": {
        "$ref": "#/components/schemas/EmailAutomationGroup"
      }
    }
  },
  "description": "The email automation group to create.",
  "required": true
}

201 Created

The new email automation group.

Headers
Header Description
Location

The URL to the new email automation group.

Response Body

When the Content-Type of the response is application/vnd.shootproof+json, the following properties will be available in the response body.

Properties
Property Description
automations

A collection of automated email messages that should be sent to a specified group of recipients at a configured time.

clonedFromId nullable

If cloned from another automation group, the identifier for the group from which this was cloned.

created read-only

The date on which the entity was created.

emailCategory nullable read-only

The human-readable name of the category of this automation group.

id

An entity identifier. It may be either an integer or a universally unique identifier (UUID) represented as a string.

isClonedFromSpAutomationGroup read-only

If this automation group was cloned from a ShootProof-created email automation group, then this property will be true.

linkedEventsCount read-only

The total number of non-deleted events that are using the automation group.

links required read-only

Each property defines a hypertext link relationship as indicated by a link object or array of link objects. The target URL of each hypertext link relationship is related to the current resource according to the defined semantics of the link relationship property name.

name

The name for this email automation group.

sendType

The type of email automations that this group can contain.

type

The type of resource represented.

OpenAPI Schema

The following schema is based on OpenAPI 3.0 and is provided in our downloadable OpenAPI document.

{
  "201": {
    "content": {
      "application/vnd.shootproof+json": {
        "schema": {
          "$ref": "#/components/schemas/EmailAutomationGroup"
        }
      }
    },
    "description": "The new email automation group.",
    "headers": {
      "Location": {
        "description": "The URL to the new email automation group.",
        "schema": {
          "format": "uri",
          "type": "string"
        }
      }
    }
  }
}

Delete an email automation group

delete
/studio/brand/{brandId}/email/automation-group/{emailAutomationGroupId}

Example Request

Path Parameters

Property Description
brandId required

The brand identifier.

emailAutomationGroupId required

An email automation group identifier.

Header Parameters

Property Description
Authentication required

The bearer token used to make authenticated requests to the ShootProof Studio API. See the authorization guide for more information on how to obtain and use bearer tokens.

204 No Content

The resource was successfully deleted.

403 Forbidden

The provided access credentials are not valid for the requested resource.

Response Body

When the Content-Type of the response is application/problem+json, the following properties will be available in the response body.

Properties
Property Description
detail

A longer description of of the error encountered.

info

Additional information that may be provided to aid in error resolution.

Property Description
reason

An optional reason for the error response.

In some cases, more information is required to convey information about the error to the client. In these cases, one of the following reason slugs may be used.

Reason Slug Description
contract-not-ready-to-countersign The contract is in a state that does not allow countersigning. Its status must be ready-to-countersign to perform this action.
event-photo-count-limit The event has reached the maximum number of photos allowed.
plan-does-not-allow-uploads The studio is in a plan that does not allow uploads or they have reached the limit of photos the plan allows.
status

The HTTP status code associated with this error.

title

A short description of the error encountered.

type

A namespace URI uniquely identifying the error type.

404 Not Found

The requested resource could not be found.

Response Body

When the Content-Type of the response is application/problem+json, the following properties will be available in the response body.

Properties
Property Description
detail

A longer description of of the error encountered.

info

Additional information that may be provided to aid in error resolution.

Property Description
reason

An optional reason for the error response.

In some cases, more information is required to convey information about the error to the client. In these cases, one of the following reason slugs may be used.

Reason Slug Description
contract-not-ready-to-countersign The contract is in a state that does not allow countersigning. Its status must be ready-to-countersign to perform this action.
event-photo-count-limit The event has reached the maximum number of photos allowed.
plan-does-not-allow-uploads The studio is in a plan that does not allow uploads or they have reached the limit of photos the plan allows.
status

The HTTP status code associated with this error.

title

A short description of the error encountered.

type

A namespace URI uniquely identifying the error type.

OpenAPI Schema

The following schema is based on OpenAPI 3.0 and is provided in our downloadable OpenAPI document.

{
  "204": {
    "$ref": "#/components/responses/deleteSuccess"
  },
  "403": {
    "$ref": "#/components/responses/forbiddenError"
  },
  "404": {
    "$ref": "#/components/responses/notFoundError"
  }
}

Get an email automation group

get
/studio/brand/{brandId}/email/automation-group/{emailAutomationGroupId}

Example Request

Path Parameters

Property Description
brandId required

The brand identifier.

emailAutomationGroupId required

An email automation group identifier.

Header Parameters

Property Description
Authentication required

The bearer token used to make authenticated requests to the ShootProof Studio API. See the authorization guide for more information on how to obtain and use bearer tokens.

200 OK

Email automation group

Response Body

When the Content-Type of the response is application/vnd.shootproof+json, the following properties will be available in the response body.

Properties
Property Description
automations

A collection of automated email messages that should be sent to a specified group of recipients at a configured time.

clonedFromId nullable

If cloned from another automation group, the identifier for the group from which this was cloned.

created read-only

The date on which the entity was created.

emailCategory nullable read-only

The human-readable name of the category of this automation group.

id

An entity identifier. It may be either an integer or a universally unique identifier (UUID) represented as a string.

isClonedFromSpAutomationGroup read-only

If this automation group was cloned from a ShootProof-created email automation group, then this property will be true.

linkedEventsCount read-only

The total number of non-deleted events that are using the automation group.

links required read-only

Each property defines a hypertext link relationship as indicated by a link object or array of link objects. The target URL of each hypertext link relationship is related to the current resource according to the defined semantics of the link relationship property name.

name

The name for this email automation group.

sendType

The type of email automations that this group can contain.

type

The type of resource represented.

403 Forbidden

The provided access credentials are not valid for the requested resource.

Response Body

When the Content-Type of the response is application/problem+json, the following properties will be available in the response body.

Properties
Property Description
detail

A longer description of of the error encountered.

info

Additional information that may be provided to aid in error resolution.

Property Description
reason

An optional reason for the error response.

In some cases, more information is required to convey information about the error to the client. In these cases, one of the following reason slugs may be used.

Reason Slug Description
contract-not-ready-to-countersign The contract is in a state that does not allow countersigning. Its status must be ready-to-countersign to perform this action.
event-photo-count-limit The event has reached the maximum number of photos allowed.
plan-does-not-allow-uploads The studio is in a plan that does not allow uploads or they have reached the limit of photos the plan allows.
status

The HTTP status code associated with this error.

title

A short description of the error encountered.

type

A namespace URI uniquely identifying the error type.

404 Not Found

The requested resource could not be found.

Response Body

When the Content-Type of the response is application/problem+json, the following properties will be available in the response body.

Properties
Property Description
detail

A longer description of of the error encountered.

info

Additional information that may be provided to aid in error resolution.

Property Description
reason

An optional reason for the error response.

In some cases, more information is required to convey information about the error to the client. In these cases, one of the following reason slugs may be used.

Reason Slug Description
contract-not-ready-to-countersign The contract is in a state that does not allow countersigning. Its status must be ready-to-countersign to perform this action.
event-photo-count-limit The event has reached the maximum number of photos allowed.
plan-does-not-allow-uploads The studio is in a plan that does not allow uploads or they have reached the limit of photos the plan allows.
status

The HTTP status code associated with this error.

title

A short description of the error encountered.

type

A namespace URI uniquely identifying the error type.

OpenAPI Schema

The following schema is based on OpenAPI 3.0 and is provided in our downloadable OpenAPI document.

{
  "200": {
    "content": {
      "application/vnd.shootproof+json": {
        "schema": {
          "$ref": "#/components/schemas/EmailAutomationGroup"
        }
      }
    },
    "description": "Email automation group"
  },
  "403": {
    "$ref": "#/components/responses/forbiddenError"
  },
  "404": {
    "$ref": "#/components/responses/notFoundError"
  }
}

Update an email automation group

put
/studio/brand/{brandId}/email/automation-group/{emailAutomationGroupId}

Example Request

Path Parameters

Property Description
brandId required

The brand identifier.

emailAutomationGroupId required

An email automation group identifier.

Header Parameters

Property Description
Authentication required

The bearer token used to make authenticated requests to the ShootProof Studio API. See the authorization guide for more information on how to obtain and use bearer tokens.

Request Body

The email automation group that will update the existing one.

application/vnd.shootproof+json
Property Description
automations

A collection of automated email messages that should be sent to a specified group of recipients at a configured time.

clonedFromId nullable

If cloned from another automation group, the identifier for the group from which this was cloned.

id

An entity identifier. It may be either an integer or a universally unique identifier (UUID) represented as a string.

name

The name for this email automation group.

sendType

The type of email automations that this group can contain.

type

The type of resource represented.

OpenAPI Schema

The following schema is based on OpenAPI 3.0 and is provided in our downloadable OpenAPI document.

{
  "content": {
    "application/vnd.shootproof+json": {
      "schema": {
        "$ref": "#/components/schemas/EmailAutomationGroup"
      }
    }
  },
  "description": "The email automation group that will update the existing one.",
  "required": true
}

200 OK

The updated email automation group.

Response Body

When the Content-Type of the response is application/vnd.shootproof+json, the following properties will be available in the response body.

Properties
Property Description
automations

A collection of automated email messages that should be sent to a specified group of recipients at a configured time.

clonedFromId nullable

If cloned from another automation group, the identifier for the group from which this was cloned.

created read-only

The date on which the entity was created.

emailCategory nullable read-only

The human-readable name of the category of this automation group.

id

An entity identifier. It may be either an integer or a universally unique identifier (UUID) represented as a string.

isClonedFromSpAutomationGroup read-only

If this automation group was cloned from a ShootProof-created email automation group, then this property will be true.

linkedEventsCount read-only

The total number of non-deleted events that are using the automation group.

links required read-only

Each property defines a hypertext link relationship as indicated by a link object or array of link objects. The target URL of each hypertext link relationship is related to the current resource according to the defined semantics of the link relationship property name.

name

The name for this email automation group.

sendType

The type of email automations that this group can contain.

type

The type of resource represented.

400 Bad Request

Validation error response. Check the info.errors property in the response for more details.

Response Body

When the Content-Type of the response is application/problem+json, the following properties will be available in the response body.

Properties
Property Description
detail

A longer description of of the error encountered.

info

Additional information that may be provided to aid in error resolution.

Property Description
errors

If the error response is a result of validation errors, it will most likely be a 400 Bad Request response and contain this info.errors property. Each property name in the errors object is a property that failed validation. These properties contain objects with property names in the form of internal validation error message slugs paired with human-readable string values describing the validation failure. Each property may have multiple validation failure messages.

reason

An optional reason for the error response.

In some cases, more information is required to convey information about the error to the client. In these cases, one of the following reason slugs may be used.

Reason Slug Description
contract-not-ready-to-countersign The contract is in a state that does not allow countersigning. Its status must be ready-to-countersign to perform this action.
event-photo-count-limit The event has reached the maximum number of photos allowed.
plan-does-not-allow-uploads The studio is in a plan that does not allow uploads or they have reached the limit of photos the plan allows.
status

The HTTP status code associated with this error.

title

A short description of the error encountered.

type

A namespace URI uniquely identifying the error type.

403 Forbidden

The provided access credentials are not valid for the requested resource.

Response Body

When the Content-Type of the response is application/problem+json, the following properties will be available in the response body.

Properties
Property Description
detail

A longer description of of the error encountered.

info

Additional information that may be provided to aid in error resolution.

Property Description
reason

An optional reason for the error response.

In some cases, more information is required to convey information about the error to the client. In these cases, one of the following reason slugs may be used.

Reason Slug Description
contract-not-ready-to-countersign The contract is in a state that does not allow countersigning. Its status must be ready-to-countersign to perform this action.
event-photo-count-limit The event has reached the maximum number of photos allowed.
plan-does-not-allow-uploads The studio is in a plan that does not allow uploads or they have reached the limit of photos the plan allows.
status

The HTTP status code associated with this error.

title

A short description of the error encountered.

type

A namespace URI uniquely identifying the error type.

404 Not Found

The requested resource could not be found.

Response Body

When the Content-Type of the response is application/problem+json, the following properties will be available in the response body.

Properties
Property Description
detail

A longer description of of the error encountered.

info

Additional information that may be provided to aid in error resolution.

Property Description
reason

An optional reason for the error response.

In some cases, more information is required to convey information about the error to the client. In these cases, one of the following reason slugs may be used.

Reason Slug Description
contract-not-ready-to-countersign The contract is in a state that does not allow countersigning. Its status must be ready-to-countersign to perform this action.
event-photo-count-limit The event has reached the maximum number of photos allowed.
plan-does-not-allow-uploads The studio is in a plan that does not allow uploads or they have reached the limit of photos the plan allows.
status

The HTTP status code associated with this error.

title

A short description of the error encountered.

type

A namespace URI uniquely identifying the error type.

OpenAPI Schema

The following schema is based on OpenAPI 3.0 and is provided in our downloadable OpenAPI document.

{
  "200": {
    "content": {
      "application/vnd.shootproof+json": {
        "schema": {
          "$ref": "#/components/schemas/EmailAutomationGroup"
        }
      }
    },
    "description": "The updated email automation group."
  },
  "400": {
    "$ref": "#/components/responses/validationError"
  },
  "403": {
    "$ref": "#/components/responses/forbiddenError"
  },
  "404": {
    "$ref": "#/components/responses/notFoundError"
  }
}

List a brand’s email templates

get
/studio/brand/{brandId}/email/template

Example Request

Path Parameters

Property Description
brandId required

The brand identifier.

Query Parameters

Property Description
filterForEmailAutomation

Filter email templates that can be used to create an email automation.

Header Parameters

Property Description
Authentication required

The bearer token used to make authenticated requests to the ShootProof Studio API. See the authorization guide for more information on how to obtain and use bearer tokens.

200 OK

Email templates

Response Body

When the Content-Type of the response is application/vnd.shootproof+json, the following properties will be available in the response body.

Properties
Property Description
items

A collection of resources returned in the current result set.

Property Description
body

The user-entered body content of the email message, in HTML format.

buttonText

If a call-to-action button is displayed in the email, this is the text label that will appear on the button.

created read-only

The date on which the entity was created.

emailCategory nullable read-only

The human-readable name of the category of this template.

emailTemplateType

The constant ShootProof identifier for the email template type.

ShootProof Identifier Description
contract-ready Describes an email template that may be sent to a studio's client when a contract is ready to view.
documents-ready Describes an email template that may be sent to a studio's client when they have documents (i.e., invoice and contract) ready to view.
email-admin-access-url-to-linked-contact Describes an email template that may be used to give a linked contact access to an event while it's in pre-release.
email-event-album-link Describes an email template that may be used to share a specific album within an event.
email-event-link Describes an email template that may be used to share an event.
email-mobile-app-link Describes an email template that may be used to share a link to a mobile app with a studio's client.
event-expiring-notice Describes an email template that may be used to notify event visitors of an upcoming event expiration.
event-released-to-linked-contact Describes an email template that may be used to notify an event's linked contact that an event is now active.
event-released-to-visitors Describes an email template that may be used to notify event visitors that an event is now active.
event-upload-complete Describes an email template that may be used as an internal notification to the studio user that an upload is complete in their ShootProof account.
event-visitor-message Describes an email template that may be used to send general messages to event visitors.
invoice-final-payment-due-remainder Describes an email template that may be used to notify a studio's client that their final invoice payment will be due soon.
invoice-message Describes an email template that may be used to send general messages about an invoice to a studio's client.
invoice-past-due-notice Describes an email template that may be used to notify a studio's client that their invoice is past due.
invoice-ready Describes an email template that may be sent to a studio's client when an invoice is ready to view.
order-pay-later Describes an email template that may be sent to a studio's client when they need to add a payment to an existing order.
order-payment Describes an email template that may be sent to a studio's client when they need to add a payment to an existing order after a payment failed.
order-status-notice Describes an email template that may be sent to a studio's client when the status of their order changes.
headline

If a headline is displayed in the email, this is the text of that headline.

htmlEmail read-only

The full HTML email template, complete with in-lined CSS, headers, and footers. This may be used to render a representation of the email message, allowing the studio user an opportunity to preview their message before sending it.

htmlEmailCss read-only

CSS styles that may be used to style a representation of the email message, providing the studio user an opportunity to preview their message before sending it.

id

An entity identifier. It may be either an integer or a universally unique identifier (UUID) represented as a string.

links required read-only

Each property defines a hypertext link relationship as indicated by a link object or array of link objects. The target URL of each hypertext link relationship is related to the current resource according to the defined semantics of the link relationship property name.

name

The name of this email template.

resourceType nullable read-only

If present, this describes the type of resource represented by this email template.

subject

The email subject line to use for this template.

triggerType nullable read-only

If present, this describes the type of trigger represented by this email template.

type

The type of object represented.

links required read-only

Each property defines a hypertext link relationship as indicated by a link object or array of link objects. The target URL of each hypertext link relationship is related to the current resource according to the defined semantics of the link relationship property name.

meta read-only

Metadata describing the current result set.

Property Description
currentPage

The current page of results returned.

rows

The number of rows returned per page for the current result set.

totalItems

The total number of items in the result set. This may be affected by active search/filter parameters.

totalPages

The total number of pages in the result set. This is affected by the rows parameter (totalItems / rows == totalPages).

type

The type of resource represented.

OpenAPI Schema

The following schema is based on OpenAPI 3.0 and is provided in our downloadable OpenAPI document.

{
  "200": {
    "content": {
      "application/vnd.shootproof+json": {
        "schema": {
          "$ref": "#/components/schemas/EmailTemplateCollection"
        }
      }
    },
    "description": "Email templates"
  }
}

Get an email template

If the resourceType and resourceId query string parameters are present in the request, the variables within the email template properties will be replaced with appropriate values for the specified resource. This is provided for convenience to allow the studio user to view an email template as it might appear when sent to their clients.

get
/studio/brand/{brandId}/email/template/{emailTemplateId}

Example Request

Path Parameters

Property Description
brandId required

The brand identifier.

emailTemplateId required

An email template identifier.

Query Parameters

Property Description
resourceId

The identifier of the resourceType that you wish to use when replacing variables in email template properties. If no resourceType is provided, then variables will appear in the properties unchanged.

resourceType

Identifies the resource type for the given resourceId. If no resourceId is provided, then variables will appear in the properties unchanged.

The resourceType must be valid for the template type requested.

Header Parameters

Property Description
Authentication required

The bearer token used to make authenticated requests to the ShootProof Studio API. See the authorization guide for more information on how to obtain and use bearer tokens.

200 OK

An email template

Response Body

When the Content-Type of the response is application/vnd.shootproof+json, the following properties will be available in the response body.

Properties
Property Description
body

The user-entered body content of the email message, in HTML format.

buttonText

If a call-to-action button is displayed in the email, this is the text label that will appear on the button.

created read-only

The date on which the entity was created.

emailCategory nullable read-only

The human-readable name of the category of this template.

emailTemplateType

The constant ShootProof identifier for the email template type.

ShootProof Identifier Description
contract-ready Describes an email template that may be sent to a studio's client when a contract is ready to view.
documents-ready Describes an email template that may be sent to a studio's client when they have documents (i.e., invoice and contract) ready to view.
email-admin-access-url-to-linked-contact Describes an email template that may be used to give a linked contact access to an event while it's in pre-release.
email-event-album-link Describes an email template that may be used to share a specific album within an event.
email-event-link Describes an email template that may be used to share an event.
email-mobile-app-link Describes an email template that may be used to share a link to a mobile app with a studio's client.
event-expiring-notice Describes an email template that may be used to notify event visitors of an upcoming event expiration.
event-released-to-linked-contact Describes an email template that may be used to notify an event's linked contact that an event is now active.
event-released-to-visitors Describes an email template that may be used to notify event visitors that an event is now active.
event-upload-complete Describes an email template that may be used as an internal notification to the studio user that an upload is complete in their ShootProof account.
event-visitor-message Describes an email template that may be used to send general messages to event visitors.
invoice-final-payment-due-remainder Describes an email template that may be used to notify a studio's client that their final invoice payment will be due soon.
invoice-message Describes an email template that may be used to send general messages about an invoice to a studio's client.
invoice-past-due-notice Describes an email template that may be used to notify a studio's client that their invoice is past due.
invoice-ready Describes an email template that may be sent to a studio's client when an invoice is ready to view.
order-pay-later Describes an email template that may be sent to a studio's client when they need to add a payment to an existing order.
order-payment Describes an email template that may be sent to a studio's client when they need to add a payment to an existing order after a payment failed.
order-status-notice Describes an email template that may be sent to a studio's client when the status of their order changes.
headline

If a headline is displayed in the email, this is the text of that headline.

htmlEmail read-only

The full HTML email template, complete with in-lined CSS, headers, and footers. This may be used to render a representation of the email message, allowing the studio user an opportunity to preview their message before sending it.

htmlEmailCss read-only

CSS styles that may be used to style a representation of the email message, providing the studio user an opportunity to preview their message before sending it.

id

An entity identifier. It may be either an integer or a universally unique identifier (UUID) represented as a string.

links required read-only

Each property defines a hypertext link relationship as indicated by a link object or array of link objects. The target URL of each hypertext link relationship is related to the current resource according to the defined semantics of the link relationship property name.

name

The name of this email template.

resourceType nullable read-only

If present, this describes the type of resource represented by this email template.

subject

The email subject line to use for this template.

triggerType nullable read-only

If present, this describes the type of trigger represented by this email template.

type

The type of object represented.

Error Response

API errors come in two kinds of varieties: 400s and 500s.

Any error with a status code of 400 to 499 is considered a client error. This means it’s usually an error you can handle in your app, and then resend a modified request to the ShootProof API to get a successful response.

An error in the range of 500 to 599, on the other hand, is a different story. These errors usually mean that a problem occured on the server and resending the request with modifications will not fix the issue.

Pay careful attention to the status codes. We try to stick as close as possible to their defined semantics. For a complete list of HTTP status codes, take a look at the official HTTP Status Code Registry.

Check out our errors guide for more information.

Response Body

When the Content-Type of the response is application/problem+json, the following properties will be available in the response body.

Properties
Property Description
detail

A longer description of of the error encountered.

info

Additional information that may be provided to aid in error resolution.

Property Description
reason

An optional reason for the error response.

In some cases, more information is required to convey information about the error to the client. In these cases, one of the following reason slugs may be used.

Reason Slug Description
contract-not-ready-to-countersign The contract is in a state that does not allow countersigning. Its status must be ready-to-countersign to perform this action.
event-photo-count-limit The event has reached the maximum number of photos allowed.
plan-does-not-allow-uploads The studio is in a plan that does not allow uploads or they have reached the limit of photos the plan allows.
status

The HTTP status code associated with this error.

title

A short description of the error encountered.

type

A namespace URI uniquely identifying the error type.

Validation Error Example
{
  "detail": "There was a problem with your request. Please see `info` for more information.",
  "info": {
    "errors": {
      "type": {
        "isEmpty": "Value is required and can't be empty"
      }
    }
  },
  "status": 400,
  "title": "Bad Request",
  "type": "https://developer.shootproof.com/errors#error-bad-request"
}
Forbidden Error Example
{
  "detail": "You do not have permission to access the requested resource.",
  "status": 403,
  "title": "Forbidden",
  "type": "https://developer.shootproof.com/errors#error-forbidden"
}
Not Found Error Example
{
  "detail": "The requested resource could not be found.",
  "status": 404,
  "title": "Not Found",
  "type": "https://developer.shootproof.com/errors#error-not-found"
}
Server Error Example
{
  "detail": "An error occurred on the server. If this error continues to occur, please contact support.",
  "status": 500,
  "title": "Internal Server Error",
  "type": "https://developer.shootproof.com/errors#error-server-error"
}
Unauthorized Error Example
{
  "detail": "No authorization credentials provided. You must provide an authorization token for this request.",
  "status": 401,
  "title": "Unauthorized",
  "type": "https://developer.shootproof.com/errors#error-unauthorized"
}

OpenAPI Schema

The following schema is based on OpenAPI 3.0 and is provided in our downloadable OpenAPI document.

{
  "200": {
    "content": {
      "application/vnd.shootproof+json": {
        "schema": {
          "$ref": "#/components/schemas/EmailTemplate"
        }
      }
    },
    "description": "An email template"
  },
  "default": {
    "$ref": "#/components/responses/defaultError"
  }
}

List ShootProof-curated email automation groups

get
/studio/email/curated-automation-group

Example Request

Header Parameters

Property Description
Authentication required

The bearer token used to make authenticated requests to the ShootProof Studio API. See the authorization guide for more information on how to obtain and use bearer tokens.

200 OK

Email automation groups curated by ShootProof.

Response Body

When the Content-Type of the response is application/vnd.shootproof+json, the following properties will be available in the response body.

Properties
Property Description
items

A collection of resources returned in the current result set.

Property Description
automations

A collection of automated email messages that should be sent to a specified group of recipients at a configured time.

created read-only

The date on which the entity was created.

emailCategory nullable read-only

The human-readable name of the category of this automation group.

id

An entity identifier. It may be either an integer or a universally unique identifier (UUID) represented as a string.

links required read-only

Each property defines a hypertext link relationship as indicated by a link object or array of link objects. The target URL of each hypertext link relationship is related to the current resource according to the defined semantics of the link relationship property name.

name

The name for this email automation group.

type

The type of resource represented.

links required read-only

Each property defines a hypertext link relationship as indicated by a link object or array of link objects. The target URL of each hypertext link relationship is related to the current resource according to the defined semantics of the link relationship property name.

meta read-only

Metadata describing the current result set.

Property Description
currentPage

The current page of results returned.

rows

The number of rows returned per page for the current result set.

totalItems

The total number of items in the result set. This may be affected by active search/filter parameters.

totalPages

The total number of pages in the result set. This is affected by the rows parameter (totalItems / rows == totalPages).

type

The type of resource represented.

OpenAPI Schema

The following schema is based on OpenAPI 3.0 and is provided in our downloadable OpenAPI document.

{
  "200": {
    "content": {
      "application/vnd.shootproof+json": {
        "schema": {
          "$ref": "#/components/schemas/CuratedEmailAutomationGroupCollection"
        }
      }
    },
    "description": "Email automation groups curated by ShootProof."
  }
}

Get a ShootProof-curated email automation group

get
/studio/email/curated-automation-group/{emailAutomationGroupId}

Example Request

Path Parameters

Property Description
emailAutomationGroupId required

An email automation group identifier.

Header Parameters

Property Description
Authentication required

The bearer token used to make authenticated requests to the ShootProof Studio API. See the authorization guide for more information on how to obtain and use bearer tokens.

200 OK

Email automation group curated by ShootProof.

Response Body

When the Content-Type of the response is application/vnd.shootproof+json, the following properties will be available in the response body.

Properties
Property Description
automations

A collection of automated email messages that should be sent to a specified group of recipients at a configured time.

created read-only

The date on which the entity was created.

emailCategory nullable read-only

The human-readable name of the category of this automation group.

id

An entity identifier. It may be either an integer or a universally unique identifier (UUID) represented as a string.

links required read-only

Each property defines a hypertext link relationship as indicated by a link object or array of link objects. The target URL of each hypertext link relationship is related to the current resource according to the defined semantics of the link relationship property name.

name

The name for this email automation group.

type

The type of resource represented.

404 Not Found

The requested resource could not be found.

Response Body

When the Content-Type of the response is application/problem+json, the following properties will be available in the response body.

Properties
Property Description
detail

A longer description of of the error encountered.

info

Additional information that may be provided to aid in error resolution.

Property Description
reason

An optional reason for the error response.

In some cases, more information is required to convey information about the error to the client. In these cases, one of the following reason slugs may be used.

Reason Slug Description
contract-not-ready-to-countersign The contract is in a state that does not allow countersigning. Its status must be ready-to-countersign to perform this action.
event-photo-count-limit The event has reached the maximum number of photos allowed.
plan-does-not-allow-uploads The studio is in a plan that does not allow uploads or they have reached the limit of photos the plan allows.
status

The HTTP status code associated with this error.

title

A short description of the error encountered.

type

A namespace URI uniquely identifying the error type.

OpenAPI Schema

The following schema is based on OpenAPI 3.0 and is provided in our downloadable OpenAPI document.

{
  "200": {
    "content": {
      "application/vnd.shootproof+json": {
        "schema": {
          "$ref": "#/components/schemas/CuratedEmailAutomationGroup"
        }
      }
    },
    "description": "Email automation group curated by ShootProof."
  },
  "404": {
    "$ref": "#/components/responses/notFoundError"
  }
}

Copy a ShootProof-curated email automation group

Following the semantics of the HTTP COPY method, this will copy the ShootProof-curated email automation group identified by the request URI to the brand email automation group collection identified by the URI in the Destination header (e.g., https://api.shootproof.com/studio/brand/123/email/automation-group).

post
/studio/email/curated-automation-group/{emailAutomationGroupId}

Example Request

Path Parameters

Property Description
emailAutomationGroupId required

An email automation group identifier.

Query Parameters

Property Description
method required

The HTTP method overloading this POST request.

Header Parameters

Property Description
Authentication required

The bearer token used to make authenticated requests to the ShootProof Studio API. See the authorization guide for more information on how to obtain and use bearer tokens.

Destination required

The URI of the brand email automation group collection where a new email automation group based on this ShootProof-curated email automation group should be created.

201 Created

The new email automation group.

Headers
Header Description
Location

The URL to the new email automation group.

Response Body

When the Content-Type of the response is application/vnd.shootproof+json, the following properties will be available in the response body.

Properties
Property Description
automations

A collection of automated email messages that should be sent to a specified group of recipients at a configured time.

clonedFromId nullable

If cloned from another automation group, the identifier for the group from which this was cloned.

created read-only

The date on which the entity was created.

emailCategory nullable read-only

The human-readable name of the category of this automation group.

id

An entity identifier. It may be either an integer or a universally unique identifier (UUID) represented as a string.

isClonedFromSpAutomationGroup read-only

If this automation group was cloned from a ShootProof-created email automation group, then this property will be true.

linkedEventsCount read-only

The total number of non-deleted events that are using the automation group.

links required read-only

Each property defines a hypertext link relationship as indicated by a link object or array of link objects. The target URL of each hypertext link relationship is related to the current resource according to the defined semantics of the link relationship property name.

name

The name for this email automation group.

sendType

The type of email automations that this group can contain.

type

The type of resource represented.

403 Forbidden

The provided access credentials are not valid for the requested resource.

Response Body

When the Content-Type of the response is application/problem+json, the following properties will be available in the response body.

Properties
Property Description
detail

A longer description of of the error encountered.

info

Additional information that may be provided to aid in error resolution.

Property Description
reason

An optional reason for the error response.

In some cases, more information is required to convey information about the error to the client. In these cases, one of the following reason slugs may be used.

Reason Slug Description
contract-not-ready-to-countersign The contract is in a state that does not allow countersigning. Its status must be ready-to-countersign to perform this action.
event-photo-count-limit The event has reached the maximum number of photos allowed.
plan-does-not-allow-uploads The studio is in a plan that does not allow uploads or they have reached the limit of photos the plan allows.
status

The HTTP status code associated with this error.

title

A short description of the error encountered.

type

A namespace URI uniquely identifying the error type.

404 Not Found

The requested resource could not be found.

Response Body

When the Content-Type of the response is application/problem+json, the following properties will be available in the response body.

Properties
Property Description
detail

A longer description of of the error encountered.

info

Additional information that may be provided to aid in error resolution.

Property Description
reason

An optional reason for the error response.

In some cases, more information is required to convey information about the error to the client. In these cases, one of the following reason slugs may be used.

Reason Slug Description
contract-not-ready-to-countersign The contract is in a state that does not allow countersigning. Its status must be ready-to-countersign to perform this action.
event-photo-count-limit The event has reached the maximum number of photos allowed.
plan-does-not-allow-uploads The studio is in a plan that does not allow uploads or they have reached the limit of photos the plan allows.
status

The HTTP status code associated with this error.

title

A short description of the error encountered.

type

A namespace URI uniquely identifying the error type.

409 Conflict

The request could not be completed due to a conflict with the current state of the target resource.

Response Body

When the Content-Type of the response is application/problem+json, the following properties will be available in the response body.

Properties
Property Description
detail

A longer description of of the error encountered.

info

Additional information that may be provided to aid in error resolution.

Property Description
reason

An optional reason for the error response.

In some cases, more information is required to convey information about the error to the client. In these cases, one of the following reason slugs may be used.

Reason Slug Description
contract-not-ready-to-countersign The contract is in a state that does not allow countersigning. Its status must be ready-to-countersign to perform this action.
event-photo-count-limit The event has reached the maximum number of photos allowed.
plan-does-not-allow-uploads The studio is in a plan that does not allow uploads or they have reached the limit of photos the plan allows.
status

The HTTP status code associated with this error.

title

A short description of the error encountered.

type

A namespace URI uniquely identifying the error type.

OpenAPI Schema

The following schema is based on OpenAPI 3.0 and is provided in our downloadable OpenAPI document.

{
  "201": {
    "content": {
      "application/vnd.shootproof+json": {
        "schema": {
          "$ref": "#/components/schemas/EmailAutomationGroup"
        }
      }
    },
    "description": "The new email automation group.",
    "headers": {
      "Location": {
        "description": "The URL to the new email automation group.",
        "schema": {
          "format": "uri",
          "type": "string"
        }
      }
    }
  },
  "403": {
    "$ref": "#/components/responses/forbiddenError"
  },
  "404": {
    "$ref": "#/components/responses/notFoundError"
  },
  "409": {
    "$ref": "#/components/responses/conflictError"
  }
}

List ShootProof-curated email templates

get
/studio/email/curated-template

Example Request

Query Parameters

Property Description
filterCuratedAutomationGroupId

Group identifier by which to filter results.

Header Parameters

Property Description
Authentication required

The bearer token used to make authenticated requests to the ShootProof Studio API. See the authorization guide for more information on how to obtain and use bearer tokens.

200 OK

Email templates curated by ShootProof.

Response Body

When the Content-Type of the response is application/vnd.shootproof+json, the following properties will be available in the response body.

Properties
Property Description
items

A collection of resources returned in the current result set.

Property Description
body

The primary content that will be displayed in the body of the email.

buttonText

The text to appear on a call to action which appears in the email.

created read-only

The date on which the entity was created.

emailCategory

The human-readable name of the category of this automation.

headline

A headline that appears as part of the email body.

id

An entity identifier. It may be either an integer or a universally unique identifier (UUID) represented as a string.

links required read-only

Each property defines a hypertext link relationship as indicated by a link object or array of link objects. The target URL of each hypertext link relationship is related to the current resource according to the defined semantics of the link relationship property name.

name

The name for this curated email template.

resourceType

The type of resource associated with the email template.

subject

The subject line of the email sent to a user.

type

The type of resource represented.

links required read-only

Each property defines a hypertext link relationship as indicated by a link object or array of link objects. The target URL of each hypertext link relationship is related to the current resource according to the defined semantics of the link relationship property name.

meta read-only

Metadata describing the current result set.

Property Description
currentPage

The current page of results returned.

rows

The number of rows returned per page for the current result set.

totalItems

The total number of items in the result set. This may be affected by active search/filter parameters.

totalPages

The total number of pages in the result set. This is affected by the rows parameter (totalItems / rows == totalPages).

type

The type of resource represented.

OpenAPI Schema

The following schema is based on OpenAPI 3.0 and is provided in our downloadable OpenAPI document.

{
  "200": {
    "content": {
      "application/vnd.shootproof+json": {
        "schema": {
          "$ref": "#/components/schemas/CuratedEmailTemplateCollection"
        }
      }
    },
    "description": "Email templates curated by ShootProof."
  }
}

Get a ShootProof-curated email template

get
/studio/email/curated-template/{emailTemplateId}

Example Request

Path Parameters

Property Description
emailTemplateId required

An email template identifier.

Header Parameters

Property Description
Authentication required

The bearer token used to make authenticated requests to the ShootProof Studio API. See the authorization guide for more information on how to obtain and use bearer tokens.

200 OK

Email template curated by ShootProof

Response Body

When the Content-Type of the response is application/vnd.shootproof+json, the following properties will be available in the response body.

Properties
Property Description
body

The primary content that will be displayed in the body of the email.

buttonText

The text to appear on a call to action which appears in the email.

created read-only

The date on which the entity was created.

emailCategory

The human-readable name of the category of this automation.

headline

A headline that appears as part of the email body.

id

An entity identifier. It may be either an integer or a universally unique identifier (UUID) represented as a string.

links required read-only

Each property defines a hypertext link relationship as indicated by a link object or array of link objects. The target URL of each hypertext link relationship is related to the current resource according to the defined semantics of the link relationship property name.

name

The name for this curated email template.

resourceType

The type of resource associated with the email template.

subject

The subject line of the email sent to a user.

type

The type of resource represented.

404 Not Found

The requested resource could not be found.

Response Body

When the Content-Type of the response is application/problem+json, the following properties will be available in the response body.

Properties
Property Description
detail

A longer description of of the error encountered.

info

Additional information that may be provided to aid in error resolution.

Property Description
reason

An optional reason for the error response.

In some cases, more information is required to convey information about the error to the client. In these cases, one of the following reason slugs may be used.

Reason Slug Description
contract-not-ready-to-countersign The contract is in a state that does not allow countersigning. Its status must be ready-to-countersign to perform this action.
event-photo-count-limit The event has reached the maximum number of photos allowed.
plan-does-not-allow-uploads The studio is in a plan that does not allow uploads or they have reached the limit of photos the plan allows.
status

The HTTP status code associated with this error.

title

A short description of the error encountered.

type

A namespace URI uniquely identifying the error type.

OpenAPI Schema

The following schema is based on OpenAPI 3.0 and is provided in our downloadable OpenAPI document.

{
  "200": {
    "content": {
      "application/vnd.shootproof+json": {
        "schema": {
          "$ref": "#/components/schemas/CuratedEmailTemplate"
        }
      }
    },
    "description": "Email template curated by ShootProof"
  },
  "404": {
    "$ref": "#/components/responses/notFoundError"
  }
}

Get a list of email template types

get
/studio/email/template-type

Example Request

Header Parameters

Property Description
Authentication required

The bearer token used to make authenticated requests to the ShootProof Studio API. See the authorization guide for more information on how to obtain and use bearer tokens.

200 OK

Email template types

Response Body

When the Content-Type of the response is application/vnd.shootproof+json, the following properties will be available in the response body.

Properties
Property Description
items

A collection of resources returned in the current result set.

Property Description
defaults nullable

The system default values for this email template type.

Property Description
body nullable

The default message body of this email template type. The message body includes HTML tags.

buttonText nullable

The default text label for the button used in the body of the email template.

buttonTextHelper nullable

Helper text provided to help the studio user understand the action taken when their client clicks on the button in the email message.

description nullable

A description of this email template type.

headline nullable

The default headline used in the body of the email template.

htmlEmail nullable

The full HTML email template, complete with in-lined CSS, headers, and footers.

htmlEmailCss nullable

The CSS that will be used to style the email message.

subject nullable

The default subject line for this email template type.

emailTemplateType

The constant ShootProof identifier for the email template type.

ShootProof Identifier Description
contract-ready Describes an email template that may be sent to a studio's client when a contract is ready to view.
documents-ready Describes an email template that may be sent to a studio's client when they have documents (i.e., invoice and contract) ready to view.
email-admin-access-url-to-linked-contact Describes an email template that may be used to give a linked contact access to an event while it's in pre-release.
email-event-album-link Describes an email template that may be used to share a specific album within an event.
email-event-link Describes an email template that may be used to share an event.
email-mobile-app-link Describes an email template that may be used to share a link to a mobile app with a studio's client.
event-expiring-notice Describes an email template that may be used to notify event visitors of an upcoming event expiration.
event-released-to-linked-contact Describes an email template that may be used to notify an event's linked contact that an event is now active.
event-released-to-visitors Describes an email template that may be used to notify event visitors that an event is now active.
event-upload-complete Describes an email template that may be used as an internal notification to the studio user that an upload is complete in their ShootProof account.
event-visitor-message Describes an email template that may be used to send general messages to event visitors.
invoice-final-payment-due-remainder Describes an email template that may be used to notify a studio's client that their final invoice payment will be due soon.
invoice-message Describes an email template that may be used to send general messages about an invoice to a studio's client.
invoice-past-due-notice Describes an email template that may be used to notify a studio's client that their invoice is past due.
invoice-ready Describes an email template that may be sent to a studio's client when an invoice is ready to view.
order-pay-later Describes an email template that may be sent to a studio's client when they need to add a payment to an existing order.
order-payment Describes an email template that may be sent to a studio's client when they need to add a payment to an existing order after a payment failed.
order-status-notice Describes an email template that may be sent to a studio's client when the status of their order changes.
links required read-only

Each property defines a hypertext link relationship as indicated by a link object or array of link objects. The target URL of each hypertext link relationship is related to the current resource according to the defined semantics of the link relationship property name.

resourceType nullable

If present, this describes the type of resource represented by this email template.

triggerType nullable

If present, this describes the type of trigger represented by this email template.

type

The type of resource represented.

links required read-only

Each property defines a hypertext link relationship as indicated by a link object or array of link objects. The target URL of each hypertext link relationship is related to the current resource according to the defined semantics of the link relationship property name.

meta read-only

Metadata describing the current result set.

Property Description
currentPage

The current page of results returned.

rows

The number of rows returned per page for the current result set.

totalItems

The total number of items in the result set. This may be affected by active search/filter parameters.

totalPages

The total number of pages in the result set. This is affected by the rows parameter (totalItems / rows == totalPages).

type

The type of resource represented.

OpenAPI Schema

The following schema is based on OpenAPI 3.0 and is provided in our downloadable OpenAPI document.

{
  "200": {
    "content": {
      "application/vnd.shootproof+json": {
        "schema": {
          "$ref": "#/components/schemas/EmailTemplateTypeCollection"
        }
      }
    },
    "description": "Email template types"
  }
}

Returns an email template type

If the resourceType and resourceId query string parameters are present in the request, the variables within the properties of the defaults will be replaced with appropriate values for the specified resource. This is provided for convenience to allow the studio user to view an email template as it might appear when sent to their clients.

get
/studio/email/template-type/{emailTemplateTypeId}

Example Request

Path Parameters

Property Description
emailTemplateTypeId required

An email template type identifier.

Query Parameters

Property Description
resourceId

The identifier of the resourceType that you wish to use when replacing variables in the system default values. If no resourceType is provided, then only the system default values are returned.

resourceType

Identifies the resource type for the given resourceId. If no resourceId is provided, then only the system default values are returned.

The resourceType must be valid for the template type requested.

Header Parameters

Property Description
Authentication required

The bearer token used to make authenticated requests to the ShootProof Studio API. See the authorization guide for more information on how to obtain and use bearer tokens.

200 OK

An email template type

Response Body

When the Content-Type of the response is application/vnd.shootproof+json, the following properties will be available in the response body.

Properties
Property Description
defaults nullable

The system default values for this email template type.

Property Description
body nullable

The default message body of this email template type. The message body includes HTML tags.

buttonText nullable

The default text label for the button used in the body of the email template.

buttonTextHelper nullable

Helper text provided to help the studio user understand the action taken when their client clicks on the button in the email message.

description nullable

A description of this email template type.

headline nullable

The default headline used in the body of the email template.

htmlEmail nullable

The full HTML email template, complete with in-lined CSS, headers, and footers.

htmlEmailCss nullable

The CSS that will be used to style the email message.

subject nullable

The default subject line for this email template type.

emailTemplateType

The constant ShootProof identifier for the email template type.

ShootProof Identifier Description
contract-ready Describes an email template that may be sent to a studio's client when a contract is ready to view.
documents-ready Describes an email template that may be sent to a studio's client when they have documents (i.e., invoice and contract) ready to view.
email-admin-access-url-to-linked-contact Describes an email template that may be used to give a linked contact access to an event while it's in pre-release.
email-event-album-link Describes an email template that may be used to share a specific album within an event.
email-event-link Describes an email template that may be used to share an event.
email-mobile-app-link Describes an email template that may be used to share a link to a mobile app with a studio's client.
event-expiring-notice Describes an email template that may be used to notify event visitors of an upcoming event expiration.
event-released-to-linked-contact Describes an email template that may be used to notify an event's linked contact that an event is now active.
event-released-to-visitors Describes an email template that may be used to notify event visitors that an event is now active.
event-upload-complete Describes an email template that may be used as an internal notification to the studio user that an upload is complete in their ShootProof account.
event-visitor-message Describes an email template that may be used to send general messages to event visitors.
invoice-final-payment-due-remainder Describes an email template that may be used to notify a studio's client that their final invoice payment will be due soon.
invoice-message Describes an email template that may be used to send general messages about an invoice to a studio's client.
invoice-past-due-notice Describes an email template that may be used to notify a studio's client that their invoice is past due.
invoice-ready Describes an email template that may be sent to a studio's client when an invoice is ready to view.
order-pay-later Describes an email template that may be sent to a studio's client when they need to add a payment to an existing order.
order-payment Describes an email template that may be sent to a studio's client when they need to add a payment to an existing order after a payment failed.
order-status-notice Describes an email template that may be sent to a studio's client when the status of their order changes.
links required read-only

Each property defines a hypertext link relationship as indicated by a link object or array of link objects. The target URL of each hypertext link relationship is related to the current resource according to the defined semantics of the link relationship property name.

resourceType nullable

If present, this describes the type of resource represented by this email template.

triggerType nullable

If present, this describes the type of trigger represented by this email template.

type

The type of resource represented.

Error Response

API errors come in two kinds of varieties: 400s and 500s.

Any error with a status code of 400 to 499 is considered a client error. This means it’s usually an error you can handle in your app, and then resend a modified request to the ShootProof API to get a successful response.

An error in the range of 500 to 599, on the other hand, is a different story. These errors usually mean that a problem occured on the server and resending the request with modifications will not fix the issue.

Pay careful attention to the status codes. We try to stick as close as possible to their defined semantics. For a complete list of HTTP status codes, take a look at the official HTTP Status Code Registry.

Check out our errors guide for more information.

Response Body

When the Content-Type of the response is application/problem+json, the following properties will be available in the response body.

Properties
Property Description
detail

A longer description of of the error encountered.

info

Additional information that may be provided to aid in error resolution.

Property Description
reason

An optional reason for the error response.

In some cases, more information is required to convey information about the error to the client. In these cases, one of the following reason slugs may be used.

Reason Slug Description
contract-not-ready-to-countersign The contract is in a state that does not allow countersigning. Its status must be ready-to-countersign to perform this action.
event-photo-count-limit The event has reached the maximum number of photos allowed.
plan-does-not-allow-uploads The studio is in a plan that does not allow uploads or they have reached the limit of photos the plan allows.
status

The HTTP status code associated with this error.

title

A short description of the error encountered.

type

A namespace URI uniquely identifying the error type.

Validation Error Example
{
[...]
